/*
** Module   : AppServer.java
** Abstract : Provides API to a P2J client as an agent.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20130529 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * Used as a network server definition, to define the APIs related to agent manangement on P2J
 * client side.  Currently, this allows only start of P2J Clients as agents.
 */
public interface AppServer
{
   /**
    * Calls the P2J Client-side to start a new P2J Client (with the same parameters and
    * authentication as the currently running instance), to act as an agent.
    */
   public void startAgent();
}
